<!DOCTYPE html>
<html>
  <head>
    <title>Twilio Applet</title>
    <link
      rel="stylesheet"
      href="https://cdnjs.cloudflare.com/ajax/libs/normalize/8.0.1/normalize.min.css"
      integrity="sha512-NhSC1YmyruXifcj/KFRWoC561YpHpc5Jtzgvbuzx5VozKpWvQ+4nXhPdFgmx8xqexRcpAglTj9sIBWINXa8x5w=="
      crossorigin="anonymous"
      referrerpolicy="no-referrer"
    />
    <link rel="stylesheet" href="./assets/css/styles.css" />
    <link
      rel="stylesheet"
      href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css"
      integrity="sha512-1ycn6IcaQQ40/MKBW2W4Rhis/DbILU74C1vSrLJxCq57o941Ym01SwNsOMqvEBFlcgUa6xLiPY/NS5R+E6ztJQ=="
      crossorigin="anonymous"
      referrerpolicy="no-referrer"
    />
  </head>
  <body>
    <div class="phoneCall">
      <div class="phone" id="phone">
        <h1>Phone Call</h1>
        <div class="paired-block">
          <div class="select-paired-phone">
            <label for="paired-number">Caller Number</label>
            <select name="paired-number" id="paired-number-list">
              <!-- <option value="123-456-7890" id="123-456-7890">123-456-7890</option> -->
            </select>
          </div>
          <div class="paired-btn-block">
            <button id="paired-btn">Pair New Phone</button>
          </div>
        </div>
        <span class="hide" id="call-status"></span>
        <div class="info-section">
          <div class="contactInfo hide" id="contactInfo">
            <span id="contactName" class="contactInfo__name">Name</span>
            <span id="contactPhone" class="contactInfo__num">Number</span>
          </div>
          <div class="" id="dial-input">
            <form id="dialer" class="dial-display">
              <input
                id="input-box"
                type="tel"
                pattern="\+?[0-9 #\*]+"
                autofocus
                placeholder="+1"
                class="input-box"
              />
            </form>
          </div>
        </div>
        <div class="grid">
          <div class="grid__item">
            <button onclick="dial(1)">1</button>
          </div>
          <div class="grid__item">
            <button onclick="dial(2)">2 <span>A B C</span></button>
          </div>
          <div class="grid__item">
            <button onclick="dial(3)">3 <span>D E F</span></button>
          </div>
          <div class="grid__item">
            <button onclick="dial(4)">4 <span>G H I</span></button>
          </div>
          <div class="grid__item">
            <button onclick="dial(5)">5 <span>J K L</span></button>
          </div>
          <div class="grid__item">
            <button onclick="dial(6)">6 <span>M N O</span></button>
          </div>
          <div class="grid__item">
            <button onclick="dial(7)">7 <span>P Q R S</span></button>
          </div>
          <div class="grid__item">
            <button onclick="dial(8)">8 <span>T U V</span></button>
          </div>
          <div class="grid__item">
            <button onclick="dial(9)">9 <span>W X Y Z</span></button>
          </div>
          <div class="grid__item">
            <button onclick="dial('*')">*</button>
          </div>
          <div class="grid__item">
            <button onclick="dial(0)">0<span>+</span></button>
          </div>
          <div class="grid__item">
            <button onclick="dial('#')">#</button>
          </div>
        </div>
        <div class="ans-end-btn">
          <button id="answer-call" class="ans-call">
            <i class="fas fa-phone"></i>
          </button>
          <button id="end-call" class="end-call">
            <i class="fas fa-phone-slash"></i>
          </button>
          <div class="ans-end-btn__backspace">
            <button
              class="ans-end-btn__backspace__btn"
              onclick="dial('backspace')"
            >
              <i class="fas fa-backspace"></i>
            </button>
          </div>
        </div>
      </div>

      <div class="pairPhone hide" id="pairPhone">
        <div id="beforePairBlock" class="">
          <h2 id="pairHint">
            What phone would you like to pair with FreeAgent for outbound
            calling?
          </h2>
          <hr />
          <div class="pairBox">
            <label for="pairCountry">Country</label>
            <select name="pairCountry" id="countryInput">
              <option selected="selected">United States (+1)</option>
            </select>
            <label for="pairPhone">Phone Number</label>
            <input
              type="phone"
              class=""
              id="phoneInput"
              name="pairPhone"
              placeholder="+1"
              value=""
            />
            <label for="pairName">Name</label>
            <input
              type="text"
              class=""
              id="nameInput"
              name="pairName"
              placeholder="Enter a name"
              value=""
            />
            <label for="pairExtension">Extension</label>
            <input
              type="number"
              class=""
              id="extensionInput"
              name="pairExtension"
              placeholder="Extension"
              value="0"
            />
          </div>
          <hr />
          <div class="verifyBtn">
            <button id="verifyPhoneButton" class="" role="button">
              Verify Phone Number
            </button>
          </div>
        </div>
        <div id="inParingBlock" class="inParingBlock hide">
          <div class="inCalling">
            <h2>
              <span>Calling</span>
              <span id="inCallingPhone"></span>
            </h2>
          </div>
          <div class="inCallingIcon">
            <div class="phone-calling">
              <span>
                <i class="fas fa-phone" id="ans-calling-icon"></i>
              </span>
            </div>
            <div class="circle1"></div>
            <div class="circle2"></div>
          </div>
          <h2 class="prompted">
            Enter the verification code below when prompted
          </h2>
          <h1 id="verificationCode"></h1>
        </div>
        <div class="pairSuccess hide" id="displayPaired">
          <div class="pairedPhone" id="inCallingPhone">1234567890</div>
          <div>is now paired with FreeAgent</div>
          <div>
            After you make an outbound call. Calls will be automatically logged
            for you.
          </div>
        </div>
        <div class="backBtn">
          <br />
          <button id="backBtn">Back</button>
        </div>
      </div>
    </div>

    <script src="//ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
    <script src="./lib.js"></script>
    <script src="./twilio.min.js"></script>
    <script src="./jquery.csv.js"></script>
    <script src="./twilioApplet.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/lodash@4.17.20/lodash.min.js"></script>
    <script>
      function dial(num) {
        const input = document.getElementById("input-box");

        if (num === "backspace" && input.value) {
          input.value = input.value.slice(0, -1);
          return;
        }

        input.value += num;
        console.log(document.getElementById("input-box").value);
      }
    </script>
    <script
      src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.29.0/moment.min.js"
      integrity="sha512-Izh34nqeeR7/nwthfeE0SI3c8uhFSnqxV0sI9TvTcXiFJkMd6fB644O64BRq2P/LA/+7eRvCw4GmLsXksyTHBg=="
      crossorigin="anonymous"
    ></script>
    <script src="https://cdn.jsdelivr.net/npm/notyf@3/notyf.min.js"></script>
    <script charset="utf-8">
      startupService();
    </script>
  </body>
</html>
